This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1019085 - (CVE-2013-4589) CVE-2013-4589 graphicsmagick: 8-bit RGBA images export DoS vulnerability
CVE-2013-4589 graphicsmagick: 8-bit RGBA images export DoS vulnerability
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130130,repor...
: Security
Depends On: 1019087 1019088
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 03:08 EDT by Ratul Gupta
Modified: 2014-01-27 03:43 EST (History)
2 users (show)

See Also:
Fixed In Version: graphicsmagick 1.3.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-15 03:08:04 EDT
GraphicsMagick, a comprehensive image processing package, is found to have a vulnerability which can be exploited by malicious people to cause a Denial of Service (DoS).

The vulnerability is caused due to an error within the "ExportAlphaQuantumType()" function found in magick/export.c when exporting 8-bit RGBA images, which can be exploited to cause a crash.

The vulnerability is reported in versions prior to 1.3.18, Fedora 19 already ships with 1.3.18, so it doesn't seem to be affected.

References:
https://bugs.gentoo.org/show_bug.cgi?id=488050
Comment 1 Ratul Gupta 2013-10-15 03:09:11 EDT
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-18 [bug 1019087]
Affects: epel-all [bug 1019088]
Comment 3 Fedora Update System 2013-11-01 17:10:39 EDT
GraphicsMagick-1.3.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-11-02 01:00:08 EDT
GraphicsMagick-1.3.18-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-17 13:38:26 EST
GraphicsMagick-1.3.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.